Solidus - Virtual Gift Card
===========================

[![CircleCI](https://circleci.com/gh/solidusio-contrib/solidus_virtual_gift_card.svg?style=svg)](https://circleci.com/gh/solidusio-contrib/solidus_virtual_gift_card)

A virtual gift card implementation for Solidus.

* Allows setup of virtual gift card products that get unique codes upon
  purchase.
* The virtual gift card codes can be used to add store credit to a user's
  account.

Installation
------------

In your Gemfile:

```ruby
gem "solidus_virtual_gift_card"
```

Bundle your dependencies and run the installation generator:

```shell
bundle install
bundle exec rails g solidus_virtual_gift_card:install
```

Authorization
-------------

For discrete authorization, two permission sets have been added to allow for granular display in the admin.

`Spree::PermissionSets::VirtualGiftCardDisplay` and `Spree::PermissionSets::VirtualGiftCardManagement` have been added and can be registered via [RoleConfiguration](http://docs.solidus.io/Spree/RoleConfiguration.html)

Testing
-------

First bundle your dependencies, then run `rake`. `rake` will default to
building the dummy app if it does not exist, then it will run specs. The dummy
app can be regenerated by using `rake test_app`.

```shell
bundle
bundle exec rake
```

When testing your application's integration with this extension you may use its
factories. Simply add this require statement to your spec_helper:

```ruby
require "spree_virtual_gift_card/factories"
```
